#include <bits/stdc++.h>
using namespace std;
int n,t,ans=INT_MAX,w[105],a[105],b[105];
void dfs(int dep,int sum)
{
	if (dep>n/2)
	 {
	 	if (abs(t-2*sum)<ans) 
	 	{
	 		ans=abs(t-2*sum);
	 		for (int i=1; i<=n/2; i++) b[i]=a[i];
		}
		return;
	 } 
	 for (int i=a[dep-1]+1; i<=(n+1)/2+dep; i++) 
	 {
	 	a[dep]=i;
	 	dfs(dep+1,sum+w[i]);
	 }
}
int main()
{
	cin>>n;
	for(int i=1; i<=n; i++) 
	{
	   cin>>w[i];
	   t+=w[i];
    }
	dfs(1,0);
	cout<<n/2;
	for (int i=1; i<=n/2; i++) cout<<" "<<b[i];
	cout<<endl;
	return 0;
}
